The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Build apache is not recompiling php with postgres

Discussion in 'EasyApache' started by fishfreek, Mar 17, 2004.

  1. fishfreek

    fishfreek Well-Known Member

    Joined:
    Jan 2, 2004
    Messages:
    238
    Likes Received:
    0
    Trophy Points:
    16
    I need to enable postgres support for a client and when i run update apache from whm and check postgres im not getting the resulting php 4.3.3 with postgres support. The client is getting the following error.

    Fatal error: Call to undefined function: pg_connect()

    Here is our php configure line.

    './configure' '--with-apxs=/usr/local/apache/bin/apxs' '--with-xml' '--enable-bcmath' '--enable-calendar' '--enable-ftp' '--with-gd' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr' '--with-xpm-dir=/usr/X11R6' '--with-gettext' '--enable-magic-quotes' '--with-mysql' '--with-pear' '--enable-sockets' '--enable-track-vars' '--with-ttf' '--with-freetype-dir=/usr' '--enable-gd-native-ttf' '--enable-versioning' '--with-zlib'

    Why is it not being configured with postgres?
     
  2. fishfreek

    fishfreek Well-Known Member

    Joined:
    Jan 2, 2004
    Messages:
    238
    Likes Received:
    0
    Trophy Points:
    16
    Whats strange is in the apache build log the php configure line is like below

    ./configure --prefix=/usr --with-xml --enable-bcmath --enable-calendar --with-curl --enable-exif --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-gettext --with-mcrypt --enable-magic-quotes --with-mysql --with-openssl --with-pear --with-pgsql=/usr --enable-sockets --enable-track-vars --with-ttf --with-freetype-dir=/usr --enable-gd-native-ttf --enable-versioning --with-zlib

    As you can see it included the --with-pgsql
     
  3. fishfreek

    fishfreek Well-Known Member

    Joined:
    Jan 2, 2004
    Messages:
    238
    Likes Received:
    0
    Trophy Points:
    16
    Please. Someone?

    The build date for php is not changing. I have looked thru the build apache screen output over and over and I dot not see a single error that I can attribute to pgsql.

    I have tried on two different servers. One running RH9 and another running RHE3. Both using php 4.3.3 and both using Cpanel 9.1.0-S73

    I have half a mind to try 4.3.4 but I dont want to just try it and risk hurting our other 70+ clients on that server.

    I despretly need postgres database support within php for a client. They have been patient so far but I doubt their patence will hold up any longer.

    Postgres is working from within cpanel in the respect we can create datbases and users.
     
  4. casey

    casey Well-Known Member

    Joined:
    Jan 17, 2003
    Messages:
    2,303
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    If there is trouble, it will find me
    I would try 4.3.4. I am using it without issue.
     
  5. dgbaker

    dgbaker Well-Known Member
    PartnerNOC

    Joined:
    Sep 20, 2002
    Messages:
    2,578
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Toronto, Ontario Canada
    cPanel Access Level:
    DataCenter Provider
    Try this today on one server and ran into the exact same issue. Haven't figured out how to correct it though.
     
  6. fishfreek

    fishfreek Well-Known Member

    Joined:
    Jan 2, 2004
    Messages:
    238
    Likes Received:
    0
    Trophy Points:
    16
    dgbaker, are you running 4.3.3 or 4.3.4
     
  7. fishfreek

    fishfreek Well-Known Member

    Joined:
    Jan 2, 2004
    Messages:
    238
    Likes Received:
    0
    Trophy Points:
    16
    Well i upgraded to 4.3.4 and it appears php finally took the pgsql configure.

    Now my client is getting a different error but its now at least trying to talk to the database. I hope its just his misconfigureation in the password now.
     
Loading...

Share This Page